
c========================================================================
      SUBROUTINE DATA_READ_OUTER(mean_e_all,std_e_all, five_e_all,
     >             tfive_e_all, med_e_all,sfive_e_all,nfive_e_all)
c========================================================================
c  data_read_outer.f
c  Read in averaged CLUSTER data from ascii text files.

      IMPLICIT NONE
     
c     DEFINE INTEGER VARIABLES
      INTEGER(KIND=8) RADS, KPS, ENS, LTS, R_E, VALS
      INTEGER(KIND=8) I, J, K, L

c     DEFINE PARAMETERS
      PARAMETER(RADS=20, KPS=6, ENS=6, LTS=24, VALS=7)

c     DEFINE REAL ARRAYS
      REAL(KIND=8) mean_e_all(RADS,LTS,KPS,ENS)
      REAL(KIND=8) std_e_all(RADS,LTS,KPS,ENS)
      REAL(KIND=8) five_e_all(RADS,LTS,KPS,ENS)
      REAL(KIND=8) tfive_e_all(RADS,LTS,KPS,ENS)
      REAL(KIND=8) med_e_all(RADS,LTS,KPS,ENS)
      REAL(KIND=8) sfive_e_all(RADS,LTS,KPS,ENS)
      REAL(KIND=8) nfive_e_all(RADS,LTS,KPS,ENS)

      REAL(KIND=8) en_he, log_en_he, counter

c     DEFINE CHARACTER VARIABLES
      CHARACTER*100 DUMMY_TXT
      CHARACTER*100 e_file_all

      e_file_all=
     > '/home/phys/flux_model_outer/data/cluster_model_e_array_all.txt'

      WRITE(6,*) 'READING MODEL DATA...'

c     READ IN ELECTRON FLUXES (ALL F10.7)
      OPEN(UNIT=21, FILE=e_file_all, STATUS='OLD')
      READ(21,'(A)') DUMMY_TXT
c      WRITE(6,*) DUMMY_TXT

      DO 25 I=1,RADS
        DO 24 J=1,LTS
          DO 10 K=1,KPS
c            PRINT*, I,J,K
            READ(21,200) (mean_e_all(I,J,K,L),L=1,ENS)
c            WRITE(6,200) (mean_e_all(I,J,K,L),L=1,ENS)
            counter=counter+1
c            PRINT*, counter
 10       CONTINUE  
          DO 12 K=1,KPS
c            PRINT*, I,J,K
            READ(21,200) (std_e_all(I,J,K,L),L=1,ENS)
c            WRITE(6,200) (std_e_all(I,J,K,L),L=1,ENS)
            counter=counter+1
c            PRINT*, counter
 12       CONTINUE
          DO 14 K=1,KPS
c            PRINT*, I,J,K
            READ(21,200) (five_e_all(I,J,K,L),L=1,ENS)
c            WRITE(6,200) (five_e_all(I,J,K,L),L=1,ENS)
            counter=counter+1
c            PRINT*, counter
 14       CONTINUE    
          DO 16 K=1,KPS
c            PRINT*, I,J,K
            READ(21,200) (tfive_e_all(I,J,K,L),L=1,ENS)
c            WRITE(6,200) (tfive_e_all(I,J,K,L),L=1,ENS)
            counter=counter+1
c            PRINT*, counter
 16       CONTINUE
          DO 18 K=1,KPS
c            PRINT*, I,J,K
            READ(21,200) (med_e_all(I,J,K,L),L=1,ENS)
c            WRITE(6,200) (med_e_all(I,J,K,L),L=1,ENS)
            counter=counter+1
c            PRINT*, counter
 18       CONTINUE
          DO 20 K=1,KPS
c            PRINT*, I,J,K
            READ(21,200) (sfive_e_all(I,J,K,L),L=1,ENS)
c            WRITE(6,200) (sfive_e_all(I,J,K,L),L=1,ENS)
            counter=counter+1
c            PRINT*, counter
 20       CONTINUE
          DO 22 K=1,KPS
c            PRINT*, I,J,K
            READ(21,200) (nfive_e_all(I,J,K,L),L=1,ENS)
c            WRITE(6,200) (nfive_e_all(I,J,K,L),L=1,ENS)
            counter=counter+1
c            PRINT*, counter
 22       CONTINUE    

 24     CONTINUE
 25   CONTINUE

      CLOSE(UNIT=21)

 200  FORMAT(6E18.6)

      WRITE(6,*) 'MODEL FLUX DATA READ IN COMPLETE!'

      RETURN

      END
c===================END SUBROUTINE DATA_READ=============================
